from random import *

def Aléa():
    nbr=randint(1,100)
    if nbr%7==0:
        x=1
    else:
        x=0
    return x

n=int(input("Donner la valeur de n:"))
for k in range(1,n+1):
    print(Aléa())

